import { request } from "@/utils/request";

// 设备查询列表请求
export function dmpProductInfo(param) {
    return request({
        url: "/service-iot/dmpProductInfo/page",
        method: "POST",
        data: param,
    });
}

// 设备详情列表请求
export function dmpDeviceInfo(param) {
    return request({
        url: "/service-iot/dmpDeviceInfo/page",
        method: "POST",
        data: param,
    });
}

// 设备详情属性列表请求
export function dmpProductAttribute(param) {
    return request({
        url: "/service-iot/dmpProductAttribute/page",
        method: "POST",
        data: param,
    });
}

// 设备多属性历史数据请求
export function historyMetrics(param) {
    return request({
        url: "/usky-backend/dataQuery/historyMetrics",
        method: "POST",
        data: param,
    });
}

// 设备实时数据请求
export function last(param) {
    return request({
        url: "/usky-backend/dataQuery/last",
        method: "POST",
        data: param,
    });
}
